Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

prioritytypelist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: prioritytypelist.php 6232 2001-07-20 11:36:07Z jakobn $
5 //
6 // Created on: <18-Oct-2000 15:04:39 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/eztemplate.php" );
28 // include_once( "ezuser/classes/ezuser.php" );
29 // include_once( "ezuser/classes/ezusergroup.php" );
30 // include_once( "ezuser/classes/ezmodule.php" );
31 // include_once( "ezuser/classes/ezpermission.php" );
32
33 // include_once( "eztodo/classes/eztodo.php" );
34 // include_once( "eztodo/classes/ezpriority.php" );
35
36 // include_once( "classes/INIFile.php" );
37
38 $ini =& eZINI::instance( 'site.ini' );
39 $Language = $ini->variable( "eZTodoMain", "Language" );
40
41
42 $t = new eZTemplate( "kernel/eztodo/admin/" . $ini->variable( "eZTodoMain", "AdminTemplateDir" ),
43 "kernel/eztodo/admin/intl", $Language, "prioritytypelist.php" );
44 $t->setAllStrings();
45
46 $t->set_file( array(
47 "priority_type_page" => "prioritytypelist.tpl"
48 ) );
49
50 $t->set_block( "priority_type_page", "priority_item_tpl", "priority_item" );
51
52 $t->set_var( "site_style", $SiteDesign );
53
54 $priority_type = new eZPriority();
55 $priority_type_array = $priority_type->getAll();
56
57 $i=0;
58 foreach( $priority_type_array as $priorityItem )
59 {
60 if ( ( $i %2 ) == 0 )
61 {
62 $t->set_var( "td_class", "bglight" );
63 }
64 else
65 {
66 $t->set_var( "td_class", "bgdark" );
67 }
68
69 $t->set_var( "priority_type_id", $priorityItem->id() );
70 $t->set_var( "priority_type_name", $priorityItem->name() );
71
72 $i++;
73 $t->parse( "priority_item", "priority_item_tpl", true );
74 }
75 if ( count ( $priority_type_array ) == 0 )
76 {
77 $t->set_var( "priority_item", "" );
78 }
79
80 $t->pparse( "output", "priority_type_page" );
81
82 ?>
eZPriority
Definition: ezpriority.php:35
eZTemplate
Definition: eztemplate.php:107
$SiteDesign
$SiteDesign
Definition: ezbulkmail/user/datasupplier.php:31
$t
$t
Definition: prioritytypelist.php:42
$priority_type_array
$priority_type_array
Definition: prioritytypelist.php:55
$i
$i
Definition: prioritytypelist.php:57
$Language
$Language
Definition: prioritytypelist.php:39
$ini
$ini
Definition: prioritytypelist.php:38
$priority_type
$priority_type
Definition: prioritytypelist.php:54
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.